<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fmp="http://www.filemaker.com/fmpxmlresult" exclude-result-prefixes="fmp">
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

<!--	
	ndl-bib.xsl		version 1 (septembre 2007)
	===========
 	Transforme les donnees exportees de la table "Notes" en xml simple, sans DTD

	Aucun parametrage : tous les champs sont conserves et on ne gere pas les italiq
	Ordre des data en entree : id L, id Art, ref, notes, extraits, mots cles, obs, modifLe
-->


<!-- surtout pas !
<xsl:strip-space elements="*" />
-->


<!-- constantes	-->
<xsl:variable name="cr"> <xsl:text>&#13;</xsl:text> </xsl:variable>
<xsl:variable name="lf"> <xsl:text>&#10;</xsl:text> </xsl:variable>

<xsl:variable name="cr_only"><xsl:text>&#10;</xsl:text></xsl:variable>
<xsl:variable name="cr_indent"><xsl:text>&#10;&#9;&#9;</xsl:text></xsl:variable>


<!-- main template	-->
<xsl:template match="fmp:FMPXMLRESULT">

	<ndl>
	<xsl:value-of select="$cr_only"/>

	<!-- fiches -->
	<xsl:for-each select="fmp:RESULTSET/fmp:ROW">
		<xsl:text>	</xsl:text>
		<fiche>

		<xsl:call-template name="champ_filtre">
			<xsl:with-param name="tag" select ="'codeL'"/> <xsl:with-param name="fieldpos" select ="1"/>
		</xsl:call-template>
		<xsl:call-template name="champ_filtre">
			<xsl:with-param name="tag" select ="'codeA'"/> <xsl:with-param name="fieldpos" select ="2"/>
		</xsl:call-template>

		<xsl:call-template name="champ_brut">
			<xsl:with-param name="tag" select ="'notes'"/> <xsl:with-param name="fieldpos" select ="4"/>
		</xsl:call-template>

		<xsl:call-template name="champ_brut">
			<xsl:with-param name="tag" select ="'extraits'"/> <xsl:with-param name="fieldpos" select ="5"/>
		</xsl:call-template>

		<xsl:call-template name="champ_filtre">
			<xsl:with-param name="tag" select ="'mc'"/> <xsl:with-param name="fieldpos" select ="6"/>
		</xsl:call-template>

		<xsl:call-template name="champ_brut">
			<xsl:with-param name="tag" select ="'reference'"/> <xsl:with-param name="fieldpos" select ="3"/>
		</xsl:call-template>

		<xsl:call-template name="champ_filtre">
			<xsl:with-param name="tag" select ="'obs'"/> <xsl:with-param name="fieldpos" select ="7"/>
		</xsl:call-template>

		<xsl:call-template name="champ_brut">
			<xsl:with-param name="tag" select ="'datemodif'"/> <xsl:with-param name="fieldpos" select ="8"/>
		</xsl:call-template>

		<xsl:value-of select="$cr_only"/>
		<xsl:text>	</xsl:text>
		</fiche>
		<xsl:value-of select="$cr_only"/>

	</xsl:for-each>

	</ndl>
	<xsl:value-of select="$cr_only"/>
</xsl:template>



<xsl:template name="champ_filtre">
			<xsl:param name="tag" />
			<xsl:param name="fieldpos" />
	<xsl:value-of select="$cr_indent" />
	<xsl:value-of select="concat('&lt;', $tag,'&gt;')" disable-output-escaping="yes" />
	<xsl:value-of select="normalize-space(fmp:COL[position()=$fieldpos])" />
	<xsl:value-of select="concat('&lt;/', $tag,'&gt;')" disable-output-escaping="yes" />
</xsl:template>

<xsl:template name="champ_brut">
			<xsl:param name="tag" />
			<xsl:param name="fieldpos" />
	<xsl:value-of select="$cr_indent" />
	<xsl:value-of select="concat('&lt;', $tag,'&gt;')" disable-output-escaping="yes" />
	<xsl:value-of select="fmp:COL[position()=$fieldpos]" />
	<xsl:value-of select="concat('&lt;/', $tag,'&gt;')" disable-output-escaping="yes" />
</xsl:template>


</xsl:stylesheet>